Item Pricing
In Depth Documentation
For a deep dive into Cova Product Pricing, see Cova Pricing API guide

Also see Data Platform for enhanced full product detail endpoints
Endpoints
| Endpoint | Description |
|---|---|
| Changed Location Prices | This call returns all current pricing at a location for products where prices have been updated |
| Changed Prices | This call returns all current pricing for products where prices have been updated |
| Product Prices | Returns Pricing Details for all Products at the specified Location within the Company. |
| Product Price by Catalog Item | This call returns Pricing Details for the specified item at the specified Location within the Company. |
| Pricing Groups | This call returns all Pricing Groups within the Company |
| Pricing Group | This call returns details for a Particular Pricing Group within the Company |
| Pricing Tiers | This call returns all Pricing Tiers within the Company |
| Pricing Tier | This call returns a Particular Pricing Tier within the Company |
| Pricing Shelves | This call returns all Pricing Shelves within the Company |
| Pricing Shelf | This call returns a Particular Pricing Shelf Details within the Company |
Changed Location Prices
GET /pricing/v1/Companies/{CompanyId}/Locations/{LocationId}/ChangedPrices/{asOfDateUtc}
This call returns all current pricing at a location for products where prices have been updated
Example of a call would be:
https://api.covasoft.net/pricing/v1/Companies/{CompanyId}/Locations/{LocationId}/ChangedPrices/{fiveMinutesAgo}?&skip=0&top=500
Recommend calling this endpoint once per minute requesting changes from the last 5 minutes.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | Company Id from your onboarding package | integer | Required |
| LocationId | Identifier of the location for pricing updates | integer | Required |
| asOfDateUtc | Prices changed on or after this datetime. example: 2024-01-25T16:22 | date | Required |
Body Parameters
None.
Response Information
Resource Description
Returns prices that have been updated since the supplied LastModifiedDateUtc filter
Collection of PriceChangedAtLocationResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| ChangedProductId | globally unique identifier | None. | |
| Locations | Collection of PriceChangeLocation | None. |
Response Formats
application/json, text/json
[
{
"ChangedProductId": "27b47c80-76c4-4d7d-94b5-f23985c550f0",
"Locations": [
{
"LocationId": 1,
"Prices": [
{
"LocationId": 1,
"ProductId": "b6a7a76b-fd6a-4e1a-a6d2-31abdf1f306c",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T17:41:30.8208392+00:00"
},
{
"LocationId": 1,
"ProductId": "b6a7a76b-fd6a-4e1a-a6d2-31abdf1f306c",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T17:41:30.8208392+00:00"
}
]
},
{
"LocationId": 1,
"Prices": [
{
"LocationId": 1,
"ProductId": "b6a7a76b-fd6a-4e1a-a6d2-31abdf1f306c",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T17:41:30.8208392+00:00"
},
{
"LocationId": 1,
"ProductId": "b6a7a76b-fd6a-4e1a-a6d2-31abdf1f306c",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T17:41:30.8208392+00:00"
}
]
}
]
},
{
"ChangedProductId": "27b47c80-76c4-4d7d-94b5-f23985c550f0",
"Locations": [
{
"LocationId": 1,
"Prices": [
{
"LocationId": 1,
"ProductId": "b6a7a76b-fd6a-4e1a-a6d2-31abdf1f306c",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T17:41:30.8208392+00:00"
},
{
"LocationId": 1,
"ProductId": "b6a7a76b-fd6a-4e1a-a6d2-31abdf1f306c",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T17:41:30.8208392+00:00"
}
]
},
{
"LocationId": 1,
"Prices": [
{
"LocationId": 1,
"ProductId": "b6a7a76b-fd6a-4e1a-a6d2-31abdf1f306c",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T17:41:30.8208392+00:00"
},
{
"LocationId": 1,
"ProductId": "b6a7a76b-fd6a-4e1a-a6d2-31abdf1f306c",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T17:41:30.8208392+00:00"
}
]
}
]
}
]
Models
PriceChangeLocation
| Name | Description | Type | Additional information |
|---|---|---|---|
| LocationId | integer | None. | |
| Prices | Collection of PriceResource | None. |
PriceResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| LocationId | Location (store) identifier where this price is valid | integer | None. |
| ProductId | Used throughout Cova as the main identifier for a product | globally unique identifier | None. |
| TierId | Tier identifier, if this product is priced in tiers. Example of tiers: 2 or fewer for $5 each; 3 to 5 for $4 each; 6 or more for $3 each Nullable if not a tiered price | integer | None. |
| TierName | Name of the tier, if applicable | string | None. |
| TierQuantity | Minimum quantity to qualify for the tier price Nullable if not a tiered price | decimal number | None. |
| AtTierPriceAppliesUpTo | For weigh heavy pricing, the maximum quantity to qualify for the AtTierPrice Nullable if not a tiered price or the tier does not use weigh heavy pricing | decimal number | None. |
| GroupId | Identifier of a pricing group, if applicable | integer | None. |
| GroupName | Name of the pricing group. For example: Veterans, Employees Nullable if not a group price | string | None. |
| ShelfId | Identifier of a pricing shelf, if applicable. A Shelf is a way to apply common pricing to multiple products. For example, all products on the "Top Shelf" are $10. | integer | None. |
| ShelfName | Name of the pricing shelf, if applicable Nullable if not a shelf price | string | None. |
| Price | Regular price for this product | decimal number | None. |
| AtTierPrice | Price for this item at the lower bound (TierQuantity) or quantity range (TierQuantity - AtTierPriceAppliesUpTo if the tier uses weigh heavy pricing). Always use this price when calculating totals for tiered items. Nullable if not a tiered price Nullable if not a tiered price | decimal number | None. |
| SalePrices | Collection of SalePriceResource | None. | |
| UpdatedDateUtc | The UTC datetime this pricing record was last modified | date | None. |
SalePriceResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| SalePrice | The sale price for this product | decimal number | None. |
| AtTierSalePrice | Sale Price for this product at the lower bound (TierQuantity). Always use this price when calculating totals for tiered products. Nullable if not a tiered price | decimal number | None. |
| StartDateUtc | UTC datetime for when the sale begins Nullable | date | None. |
| StopDateUtc | UTC datetime for when the sale ends Nullable | date | None. |
Changed Prices
GET /pricing/v1/Companies/{CompanyId}/ChangedPrices/{asOfDateUtc}
This call returns all current pricing for products where prices have been updated
Example of a call would be:
https://api.covasoft.net/pricing/v1/Companies/{CompanyId}/ChangedPrices/{fiveMinutesAgo}?&skip=0&top=500
Recommend calling this endpoint once per minute requesting changes from the last 5 minutes.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | Company Id from your onboarding package | integer | Required |
| asOfDateUtc | Prices changed on or after this datetime. example: 2024-01-25T16:22 | date | Required |
Body Parameters
None.
Response Information
Resource Description
Returns prices that have been updated since the supplied LastModifiedDateUtc filter
Collection of PriceChangedAtLocationResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| ChangedProductId | globally unique identifier | None. | |
| Locations | Collection of PriceChangeLocation | None. |
Response Formats
application/json, text/json
[
{
"ChangedProductId": "20694df6-2fc0-4792-b96b-84312fa9cf5d",
"Locations": [
{
"LocationId": 1,
"Prices": [
{
"LocationId": 1,
"ProductId": "9fb938d9-8bb2-4b42-8d16-6985d2ed89ec",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T11:22:16.7031333+00:00"
},
{
"LocationId": 1,
"ProductId": "9fb938d9-8bb2-4b42-8d16-6985d2ed89ec",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T11:22:16.7031333+00:00"
}
]
},
{
"LocationId": 1,
"Prices": [
{
"LocationId": 1,
"ProductId": "9fb938d9-8bb2-4b42-8d16-6985d2ed89ec",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T11:22:16.7031333+00:00"
},
{
"LocationId": 1,
"ProductId": "9fb938d9-8bb2-4b42-8d16-6985d2ed89ec",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T11:22:16.7031333+00:00"
}
]
}
]
},
{
"ChangedProductId": "20694df6-2fc0-4792-b96b-84312fa9cf5d",
"Locations": [
{
"LocationId": 1,
"Prices": [
{
"LocationId": 1,
"ProductId": "9fb938d9-8bb2-4b42-8d16-6985d2ed89ec",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T11:22:16.7031333+00:00"
},
{
"LocationId": 1,
"ProductId": "9fb938d9-8bb2-4b42-8d16-6985d2ed89ec",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T11:22:16.7031333+00:00"
}
]
},
{
"LocationId": 1,
"Prices": [
{
"LocationId": 1,
"ProductId": "9fb938d9-8bb2-4b42-8d16-6985d2ed89ec",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T11:22:16.7031333+00:00"
},
{
"LocationId": 1,
"ProductId": "9fb938d9-8bb2-4b42-8d16-6985d2ed89ec",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T11:22:16.7031333+00:00"
}
]
}
]
}
]
Models
PriceChangeLocation
| Name | Description | Type | Additional information |
|---|---|---|---|
| LocationId | integer | None. | |
| Prices | Collection of PriceResource | None. |
PriceResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| LocationId | Location (store) identifier where this price is valid | integer | None. |
| ProductId | Used throughout Cova as the main identifier for a product | globally unique identifier | None. |
| TierId | Tier identifier, if this product is priced in tiers. Example of tiers: 2 or fewer for $5 each; 3 to 5 for $4 each; 6 or more for $3 each Nullable if not a tiered price | integer | None. |
| TierName | Name of the tier, if applicable | string | None. |
| TierQuantity | Minimum quantity to qualify for the tier price Nullable if not a tiered price | decimal number | None. |
| AtTierPriceAppliesUpTo | For weigh heavy pricing, the maximum quantity to qualify for the AtTierPrice Nullable if not a tiered price or the tier does not use weigh heavy pricing | decimal number | None. |
| GroupId | Identifier of a pricing group, if applicable | integer | None. |
| GroupName | Name of the pricing group. For example: Veterans, Employees Nullable if not a group price | string | None. |
| ShelfId | Identifier of a pricing shelf, if applicable. A Shelf is a way to apply common pricing to multiple products. For example, all products on the "Top Shelf" are $10. | integer | None. |
| ShelfName | Name of the pricing shelf, if applicable Nullable if not a shelf price | string | None. |
| Price | Regular price for this product | decimal number | None. |
| AtTierPrice | Price for this item at the lower bound (TierQuantity) or quantity range (TierQuantity - AtTierPriceAppliesUpTo if the tier uses weigh heavy pricing). Always use this price when calculating totals for tiered items. Nullable if not a tiered price Nullable if not a tiered price | decimal number | None. |
| SalePrices | Collection of SalePriceResource | None. | |
| UpdatedDateUtc | The UTC datetime this pricing record was last modified | date | None. |
SalePriceResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| SalePrice | The sale price for this product | decimal number | None. |
| AtTierSalePrice | Sale Price for this product at the lower bound (TierQuantity). Always use this price when calculating totals for tiered products. Nullable if not a tiered price | decimal number | None. |
| StartDateUtc | UTC datetime for when the sale begins Nullable | date | None. |
| StopDateUtc | UTC datetime for when the sale ends Nullable | date | None. |
Product Prices
GET /pricing/v1/Companies({CompanyId})/ProductPrices?EntityId={EntityId}
Returns Pricing Details for all Products at the specified Location within the Company.
This API is intended for first-time or occasional synchronization, not for continuous iterative use.
To ensure consistency as prices change, see Changed Location Prices or Changed Prices
Example of a call would be:
https://api.covasoft.net/pricing/v1/Companies({{CompanyId}})/ProductPrices?$filter=EntityId eq {{LocationId}}&$skip=0&$top=1000
Caution: Failure to provide paging values will result in a default setting of $skip=0 and $top=5000, potentially leading to data inconsistency when exceeding 5000 pricing items.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | Company Id from your onboarding package | integer | Required |
| EntityId | Location Id from the Comapany Tree for the Location you want pricing for items | integer | Required |
Body Parameters
None.
Response Information
Resource Description
Returns Pricing for all the items in the specified Location within the Company
Collection of ProductPricesResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| EntityId | Identifier within the Company Tree where this price is set | integer | None. |
| CatalogItemId | string | None. | |
| PricingTermId | Obsolete | integer | None. |
| PricingTierId | integer | None. | |
| PricingGroupId | integer | None. | |
| PricingShelfId | integer | None. | |
| RegularPrice | Regular price for this item. For tiered prices, calculated as price entered by retailer / quantityLowerBound. NOTE: Only use this value if there is no AtTierPrice | decimal number | None. |
| AtTierPrice | Price of the item at the specified tier. LineAmount = (tierPrice/lowerBound) * qty Example: 3 for $10 RegularPrice will be: $10.00/3 = 3.33. Selling price for 3 would then be 9.99 due to rounding, not 10.00 Using AtTierPrice: (10.00/3)*3 = $10. | decimal number | None. |
| IsDiscountable | obsolete | boolean | None. |
| FloorPrice | obsolete | decimal number | None. |
| OriginalPrice | obsolete | decimal number | None. |
| PricingTerm | obsolete | string | None. |
| PricingTier | PricingTier | None. | |
| PricingGroup | PricingGroup | None. | |
| PricingShelf | PricingShelf | None. | |
| SalePrices | Collection of SalePrices. If no start/stop dates are provided, it is the current default valid sale. There can only be one such default sale. Other sales must have start/stop dates and they cannot overlap | Collection of OnSalePrice | None. |
Response Formats
application/json, text/json
[
{
"Id": 1,
"EntityId": 2,
"CatalogItemId": "sample string 3",
"PricingTermId": 1,
"PricingTierId": 1,
"PricingGroupId": 1,
"PricingShelfId": 1,
"RegularPrice": 4.1,
"AtTierPrice": 1.1,
"IsDiscountable": true,
"FloorPrice": 1.1,
"OriginalPrice": 1.1,
"PricingTerm": "sample string 6",
"PricingTier": {
"Id": 1,
"CompanyId": 2,
"TierName": "sample string 3",
"QuantityLowerBound": 4.1,
"AtTierPriceAppliesUpTo": 1.1
},
"PricingGroup": {
"Id": 1,
"CompanyId": 2,
"GroupName": "sample string 3",
"Description": "sample string 4",
"IsDeleted": true
},
"PricingShelf": {
"Id": 1,
"CompanyId": 2,
"ShelfName": "sample string 3",
"Description": "sample string 4"
},
"SalePrices": [
{
"Id": 1,
"StartDateUtc": "2026-10-02T17:41:32.2426877+00:00",
"StopDateUtc": "2026-10-02T17:41:32.2426877+00:00",
"SalePrice": 2.1,
"AtTierSalePrice": 3.1
},
{
"Id": 1,
"StartDateUtc": "2026-10-02T17:41:32.2426877+00:00",
"StopDateUtc": "2026-10-02T17:41:32.2426877+00:00",
"SalePrice": 2.1,
"AtTierSalePrice": 3.1
}
]
},
{
"Id": 1,
"EntityId": 2,
"CatalogItemId": "sample string 3",
"PricingTermId": 1,
"PricingTierId": 1,
"PricingGroupId": 1,
"PricingShelfId": 1,
"RegularPrice": 4.1,
"AtTierPrice": 1.1,
"IsDiscountable": true,
"FloorPrice": 1.1,
"OriginalPrice": 1.1,
"PricingTerm": "sample string 6",
"PricingTier": {
"Id": 1,
"CompanyId": 2,
"TierName": "sample string 3",
"QuantityLowerBound": 4.1,
"AtTierPriceAppliesUpTo": 1.1
},
"PricingGroup": {
"Id": 1,
"CompanyId": 2,
"GroupName": "sample string 3",
"Description": "sample string 4",
"IsDeleted": true
},
"PricingShelf": {
"Id": 1,
"CompanyId": 2,
"ShelfName": "sample string 3",
"Description": "sample string 4"
},
"SalePrices": [
{
"Id": 1,
"StartDateUtc": "2026-10-02T17:41:32.2426877+00:00",
"StopDateUtc": "2026-10-02T17:41:32.2426877+00:00",
"SalePrice": 2.1,
"AtTierSalePrice": 3.1
},
{
"Id": 1,
"StartDateUtc": "2026-10-02T17:41:32.2426877+00:00",
"StopDateUtc": "2026-10-02T17:41:32.2426877+00:00",
"SalePrice": 2.1,
"AtTierSalePrice": 3.1
}
]
}
]
Models
PricingTier
Valid for Mass or Single Unit items. A tier defines a lower bound. When the lower bound is met, the associated price is valid. Example: Product is $4/g and tiers exists at 3.5g for $10, and 7g for $18 If a customer purchases 3.5g up to 6.999g, the 3.5g tier applies LineAmount = (tierPrice/lowerBound) * qty
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| CompanyId | integer | None. | |
| TierName | string | None. | |
| QuantityLowerBound | minimum quantity required to qualify for this pricing tier | decimal number | None. |
| AtTierPriceAppliesUpTo | for weigh heavy pricing, the maximum quantity to qualify for the AtTierPrice | decimal number | None. |
PricingGroup
Group of customers who receive special pricing.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | Identifier of the group. If a customer belongs to a pricing group, this value will exist on their customer profile as PricingGroupId | integer | None. |
| CompanyId | integer | None. | |
| GroupName | string | None. | |
| Description | string | None. | |
| IsDeleted | boolean | None. |
OnSalePrice
Pricing that may be valid instead of the regular price
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| StartDateUtc | Optional start of the sale price. | date | None. |
| StopDateUtc | optional end of the sale price. | date | None. |
| SalePrice | Similar to RegularPrice, only use in absense of AtTierSalePrice | decimal number | None. |
| AtTierSalePrice | Similar to AtTierPrice | decimal number | None. |
Product Price by Catalog Item
GET /pricing/v1/Companies({CompanyId})/ProductPrices?EntityId={EntityId}&CatalogItemId={CatalogItemId}
This call returns Pricing Details for the specified item at the specified Location within the Company.
This API is intended to confirm or resynchronize an item’s price(s) if there is reason to believe it is inconsistent across systems, not for continuous iterative use.
To ensure consistency as prices change, see Changed Location Prices or Changed Prices
Example of a call would be:
https://api.covasoft.net/pricing/v1/Companies({{CompanyId}})/ProductPrices?$filter=EntityId eq {{LocationId}} and CatalogItemId eq guid'{{CatalogItemId}}'
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | Company Id from your onboarding package | integer | Required |
| EntityId | Location Id from the Comapany Tree for the Location you want pricing for items | integer | Required |
| CatalogItemId | The CatalogItemId that you want the price for from the Catalog | globally unique identifier | Required |
Body Parameters
None.
Response Information
Resource Description
Returns Pricing for the item at the specified Location within the Company
Collection of ProductPricesResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| EntityId | Identifier within the Company Tree where this price is set | integer | None. |
| CatalogItemId | string | None. | |
| PricingTermId | Obsolete | integer | None. |
| PricingTierId | integer | None. | |
| PricingGroupId | integer | None. | |
| PricingShelfId | integer | None. | |
| RegularPrice | Regular price for this item. For tiered prices, calculated as price entered by retailer / quantityLowerBound. NOTE: Only use this value if there is no AtTierPrice | decimal number | None. |
| AtTierPrice | Price of the item at the specified tier. LineAmount = (tierPrice/lowerBound) * qty Example: 3 for $10 RegularPrice will be: $10.00/3 = 3.33. Selling price for 3 would then be 9.99 due to rounding, not 10.00 Using AtTierPrice: (10.00/3)*3 = $10. | decimal number | None. |
| IsDiscountable | obsolete | boolean | None. |
| FloorPrice | obsolete | decimal number | None. |
| OriginalPrice | obsolete | decimal number | None. |
| PricingTerm | obsolete | string | None. |
| PricingTier | PricingTier | None. | |
| PricingGroup | PricingGroup | None. | |
| PricingShelf | PricingShelf | None. | |
| SalePrices | Collection of SalePrices. If no start/stop dates are provided, it is the current default valid sale. There can only be one such default sale. Other sales must have start/stop dates and they cannot overlap | Collection of OnSalePrice | None. |
Response Formats
application/json, text/json
[
{
"Id": 1,
"EntityId": 2,
"CatalogItemId": "sample string 3",
"PricingTermId": 1,
"PricingTierId": 1,
"PricingGroupId": 1,
"PricingShelfId": 1,
"RegularPrice": 4.1,
"AtTierPrice": 1.1,
"IsDiscountable": true,
"FloorPrice": 1.1,
"OriginalPrice": 1.1,
"PricingTerm": "sample string 6",
"PricingTier": {
"Id": 1,
"CompanyId": 2,
"TierName": "sample string 3",
"QuantityLowerBound": 4.1,
"AtTierPriceAppliesUpTo": 1.1
},
"PricingGroup": {
"Id": 1,
"CompanyId": 2,
"GroupName": "sample string 3",
"Description": "sample string 4",
"IsDeleted": true
},
"PricingShelf": {
"Id": 1,
"CompanyId": 2,
"ShelfName": "sample string 3",
"Description": "sample string 4"
},
"SalePrices": [
{
"Id": 1,
"StartDateUtc": "2026-10-02T17:41:32.9965434+00:00",
"StopDateUtc": "2026-10-02T17:41:32.9965434+00:00",
"SalePrice": 2.1,
"AtTierSalePrice": 3.1
},
{
"Id": 1,
"StartDateUtc": "2026-10-02T17:41:32.9965434+00:00",
"StopDateUtc": "2026-10-02T17:41:32.9965434+00:00",
"SalePrice": 2.1,
"AtTierSalePrice": 3.1
}
]
},
{
"Id": 1,
"EntityId": 2,
"CatalogItemId": "sample string 3",
"PricingTermId": 1,
"PricingTierId": 1,
"PricingGroupId": 1,
"PricingShelfId": 1,
"RegularPrice": 4.1,
"AtTierPrice": 1.1,
"IsDiscountable": true,
"FloorPrice": 1.1,
"OriginalPrice": 1.1,
"PricingTerm": "sample string 6",
"PricingTier": {
"Id": 1,
"CompanyId": 2,
"TierName": "sample string 3",
"QuantityLowerBound": 4.1,
"AtTierPriceAppliesUpTo": 1.1
},
"PricingGroup": {
"Id": 1,
"CompanyId": 2,
"GroupName": "sample string 3",
"Description": "sample string 4",
"IsDeleted": true
},
"PricingShelf": {
"Id": 1,
"CompanyId": 2,
"ShelfName": "sample string 3",
"Description": "sample string 4"
},
"SalePrices": [
{
"Id": 1,
"StartDateUtc": "2026-10-02T17:41:32.9965434+00:00",
"StopDateUtc": "2026-10-02T17:41:32.9965434+00:00",
"SalePrice": 2.1,
"AtTierSalePrice": 3.1
},
{
"Id": 1,
"StartDateUtc": "2026-10-02T17:41:32.9965434+00:00",
"StopDateUtc": "2026-10-02T17:41:32.9965434+00:00",
"SalePrice": 2.1,
"AtTierSalePrice": 3.1
}
]
}
]
Models
PricingTier
Valid for Mass or Single Unit items. A tier defines a lower bound. When the lower bound is met, the associated price is valid. Example: Product is $4/g and tiers exists at 3.5g for $10, and 7g for $18 If a customer purchases 3.5g up to 6.999g, the 3.5g tier applies LineAmount = (tierPrice/lowerBound) * qty
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| CompanyId | integer | None. | |
| TierName | string | None. | |
| QuantityLowerBound | minimum quantity required to qualify for this pricing tier | decimal number | None. |
| AtTierPriceAppliesUpTo | for weigh heavy pricing, the maximum quantity to qualify for the AtTierPrice | decimal number | None. |
PricingGroup
Group of customers who receive special pricing.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | Identifier of the group. If a customer belongs to a pricing group, this value will exist on their customer profile as PricingGroupId | integer | None. |
| CompanyId | integer | None. | |
| GroupName | string | None. | |
| Description | string | None. | |
| IsDeleted | boolean | None. |
OnSalePrice
Pricing that may be valid instead of the regular price
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| StartDateUtc | Optional start of the sale price. | date | None. |
| StopDateUtc | optional end of the sale price. | date | None. |
| SalePrice | Similar to RegularPrice, only use in absense of AtTierSalePrice | decimal number | None. |
| AtTierSalePrice | Similar to AtTierPrice | decimal number | None. |
Pricing Groups
GET /pricing/v1/Companies({CompanyId})/PricingGroups
This call returns all Pricing Groups within the Company
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | Company Id from your onboarding package | integer | Required |
Body Parameters
None.
Response Information
Resource Description
Returns Pricing Groups within the Company
Collection of PricingGroupsByCompanyResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| CompanyId | integer | None. | |
| GroupName | string | None. | |
| Description | string | None. | |
| IsDeleted | boolean | None. |
Response Formats
application/json, text/json
[
{
"Id": 1,
"CompanyId": 2,
"GroupName": "sample string 3",
"Description": "sample string 4",
"IsDeleted": true
},
{
"Id": 1,
"CompanyId": 2,
"GroupName": "sample string 3",
"Description": "sample string 4",
"IsDeleted": true
}
]
Pricing Group
GET /pricing/v1/Companies({CompanyId})/PricingGroups({GroupId})
This call returns details for a Particular Pricing Group within the Company
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | Company Id from your onboarding package | integer | Required |
| GroupId | The Group Id you are looking up information for Pricing | integer | Required |
Body Parameters
None.
Response Information
Resource Description
Returns a Particular Pricing Group Detials within the Company
PricingGroupDetailsResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| CompanyId | integer | None. | |
| GroupName | string | None. | |
| Description | string | None. | |
| IsDeleted | boolean | None. |
Response Formats
application/json, text/json
{
"Id": 1,
"CompanyId": 2,
"GroupName": "sample string 3",
"Description": "sample string 4",
"IsDeleted": true
}
Pricing Tiers
GET /pricing/v1/Companies({CompanyId})/PricingTiers
This call returns all Pricing Tiers within the Company
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | Company Id from your onboarding package | integer | Required |
Body Parameters
None.
Response Information
Resource Description
Returns Pricing Tiers within the Company
Collection of PricingTiersByCompanyResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| CompanyId | integer | None. | |
| TierName | string | None. | |
| QuantityLowerBound | decimal number | None. | |
| AtTierPriceAppliesUpTo | decimal number | None. |
Response Formats
application/json, text/json
[
{
"Id": 1,
"CompanyId": 2,
"TierName": "sample string 3",
"QuantityLowerBound": 4.1,
"AtTierPriceAppliesUpTo": 5.1
},
{
"Id": 1,
"CompanyId": 2,
"TierName": "sample string 3",
"QuantityLowerBound": 4.1,
"AtTierPriceAppliesUpTo": 5.1
}
]
Pricing Tier
GET /pricing/v1/Companies({CompanyId})/PricingTiers({TierId})
This call returns a Particular Pricing Tier within the Company
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | Company Id from your onboarding package | integer | Required |
| TierId | The Tier Id you are looking up information for Pricing | integer | Required |
Body Parameters
None.
Response Information
Resource Description
Returns a Particular Pricing Tier within the Company
PricingTierDetailsResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| CompanyId | integer | None. | |
| TierName | string | None. | |
| QuantityLowerBound | integer | None. |
Response Formats
application/json, text/json
{
"Id": 1,
"CompanyId": 2,
"TierName": "sample string 3",
"QuantityLowerBound": 4
}
Pricing Shelves
GET /pricing/v1/Companies({CompanyId})/PricingShelves
This call returns all Pricing Shelves within the Company
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | Company Id from your onboarding package | integer | Required |
Body Parameters
None.
Response Information
Resource Description
Returns Pricing Shelves within the Company
Collection of PricingShelvesByCompanyResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| CompanyId | integer | None. | |
| ShelfName | string | None. | |
| Description | string | None. |
Response Formats
application/json, text/json
[
{
"Id": 1,
"CompanyId": 2,
"ShelfName": "sample string 3",
"Description": "sample string 4"
},
{
"Id": 1,
"CompanyId": 2,
"ShelfName": "sample string 3",
"Description": "sample string 4"
}
]
Pricing Shelf
GET /pricing/v1/Companies({CompanyId})/PricingShelves({ShelfId})
This call returns a Particular Pricing Shelf Details within the Company
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | Company Id from your onboarding package | integer | Required |
| ShelfId | The Shelf Id you are looking up information for Pricing | integer | Required |
Body Parameters
None.
Response Information
Resource Description
Returns a Particular Pricing Shelf Details within the Company
PricingShelfDetailsResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| CompanyId | integer | None. | |
| ShelfName | string | None. | |
| Description | string | None. |
Response Formats
application/json, text/json
{
"Id": 1,
"CompanyId": 2,
"ShelfName": "sample string 3",
"Description": "sample string 4"
}